// Get the important elements
const progressBar = document.getElementById('progressbar');
const mainElement = document.querySelector('main');
const headerElement = document.querySelector('header');
const footerElement = document.querySelector('footer');

// Get header height, main bottom margin, and set initial progress bar width
const { height: headerHeight } = getComputedStyle(headerElement);
const { marginBottom } = getComputedStyle(mainElement);
const progressBarMinWidth = 2;
progressBar.style.width = `${progressBarMinWidth}%`;

// Listen for the scroll event on the window
window.addEventListener('scroll', updateProgressBar);

function updateProgressBar() {
    // Calculate the scroll percentage
    const maxScrollHeight = document.documentElement.scrollHeight - window.innerHeight - footerElement.offsetHeight - parseFloat(marginBottom);
    const scrollPercentage = Math.min((window.scrollY / maxScrollHeight) * 100, 100);

    // Set the width of the progress bar based on the scroll percentage
    progressBar.style.width = `${Math.max(progressBarMinWidth, scrollPercentage)}%`;

    // Check if the user has scrolled past the header
    progressBar.classList.toggle('fixed', window.scrollY >= parseFloat(headerHeight));

    // Check if the progress bar is 100%    
    progressBar.classList.toggle('complete', window.scrollY >= maxScrollHeight );    
    
}
